function [ F ] = ExGauss( data, params )

%Set parameter associations
mu = params(1); 
sigma = params(2); 
tau = params(3); 

%Model (Ex-Gaussian)
phi = normcdf((data-mu-sigma.^2./tau)./sigma)./tau;
F = exp(-data./tau + mu./tau + sigma.^2./2./tau.^2).*phi;

%Safety for 0 divisions
F(F == Inf)=zeros(length(F(F==Inf)),1); 
if (tau < 0 || sigma < 0)
    F = zeros(length(F),1); 
end


end

